TAU_INIT(3)

NAME
TAU_INIT - Processes command-line arguments for selective instrumentation

SYNOPSIS

C/C++:

TAU_INIT(int *argc, char ***argv);

DESCRIPTION

TAU_INIT parses and removes the command-line arguments for the names of profile groups that are to be selectively enabled for instrumentation. By default, if this macro is not used, functions belonging to all profile groups are enabled. TAU_INIT differs from TAU_PROFILE_INIT only in the argument types.

EXAMPLE

C/C++ :

int main(int argc, char **argv) {
  TAU_PROFILE("main()", "int (int, char **)", TAU_GROUP_12);
  TAU_INIT(&argc, &argv);
  ...
}
% ./a.out --profile 12+14

SEE ALSO

TAU_PROFILE_INIT(3)